# @nowzoo/ngx-bootstrap-modal

Service for creating and showing Bootstrap modals from templates.

[Project & README](https://github.com/nowzoo/ngx-libs/tree/master/projects/ngx-bootstrap-modal)
|
[Demo](https://nowzoo.github.io/ngx-libs/ngx-bootstrap-modal/)
|
[Demo Source Code](https://github.com/nowzoo/ngx-libs/tree/master/projects/ngx-bootstrap-modal-demo/src/app)
|
[Documentation](https://nowzoo.github.io/ngx-libs/ngx-bootstrap-modal/docs/)


## Quick start

```bash
npm i @nowzoo/ngx-bootstrap-modal --save
```



### Contributing

Clone the main repo and npm install...
```bash
git clone https://github.com/nowzoo/ngx-libs.git
cd ngx-libs
npm i
```

The library files are in `projects/ngx-bootstrap-modal`.

The demo code is in `projects/ngx-bootstrap-modal-demo`.

Building the library...
```bash
ng build ngx-bootstrap-modal
```

Testing the library...
```bash
ng test ngx-bootstrap-modal
```
To test with Wallaby, use the `wallaby.js` config at the root of the project directory.

Serving the demo...
```bash
# make sure you've built the library locally first with ng build ngx-bootstrap-modal
ng serve ngx-bootstrap-modal-demo
```

### Issues
Please submit issues to the main repo [here](https://github.com/nowzoo/ngx-libs/issues).

### License
[MIT](https://github.com/nowzoo/ngx-libs/blob/master/projects/ngx-bootstrap-modal/LICENSE)
